#!/bin/bash
#set -x
MODULES="tun hdshm"
PLG_EHD="reelbox xinemediaplayer"
INIT_EHD="in.tftpd reel-ehd"

if [ "$1" = "0" ] ; then
   PLG_NUM=0
   RC_INIT="del"
   for i in $MODULES ; do
      sed -i /etc/modules.autoload.d/kernel-2.6 -e "/^$i\$/d"
   done
   sed -i /etc/init.d/vdr -e "s/after.*net.eth0/before net.eth0/"
elif [ "$1" = "1" ] ; then
   PLG_NUM=5
   RC_INIT="add"
   for i in $MODULES ; do
      if [ "$(grep "^$i\$" /etc/modules.autoload.d/kernel-2.6)" = "" ] ; then
         echo "$i" >> /etc/modules.autoload.d/kernel-2.6
      fi	 
   done
   sed -i /etc/init.d/vdr -e "s/before.*net.eth0/after net.eth0/"
else
   echo "Syntax: $0 0|1"
   exit
fi      
         
for i in $PLG_EHD ; do
   /etc/vdr/plugins/admin/setadmval.sh PLG_$i $PLG_NUM
done
for i in $INIT_EHD ; do
   rc-update $RC_INIT $i boot >/dev/null 2>&1
done
depscan.sh
