#!/bin/bash
# Script to start installation part 2
showdisp() {
   afp-tool -a 0 -t "$1" >/dev/null 2>&1
}
showdisp "Gen2VDR|Installation Teil 2"   
sed -i /etc/inittab -e "s%/_config/install/g2v_install.sh%/sbin/rc boot%"
echo "$(date +"%y%m%d %T") Starte <$0>" >> /install.log
echo "" >> /install.log
find /etc -type d -newer /install.log -or -type f -newer /install.log | while read i ; do
   touch "$i"
done 2>/dev/null
#touch /usr/X11R6/lib/X11/fonts/* /var/cache/fontconfig
/etc/init.d/keymaps start
echo "Starting Installation Part 2"
echo "#!/bin/bash" > /tmp/.autostart
echo "/_config/install/init.sh 2>&1 | tee -a /install.log" >> /tmp/.autostart
echo "echo \"Das System wird nun neu gestartet\"" >> /tmp/.autostart
echo "reboot" >> /tmp/.autostart
chmod +x /tmp/.autostart
depscan.sh -u
openvt -c 9 -s -f -- /tmp/.autostart
openvt -c 8 -- bash
sleep 1
echo -n "Waiting for /_config/install/init.sh ."
for i in $(seq 1 1000) ; do
   sleep 3
   if [ "$(pidof -x /_config/install/init.sh)" = "" ] ; then
      break
   fi
   echo -n "."
done
showdisp "Installation beendet|Neustart ..."

date -s "+3 hours"
touch /var/cache/fontconfig /var/cache/fontconfig/*

echo "Das System wird nun neu gestartet"

reboot
