#!/bin/sh
source /etc/vdr.d/conf/gen2vdr.cfg
source /etc/vdr.d/conf/vdr
set -x
NOAD="/_config/bin/g2v_noad.sh"
[ "${VIDEO: -1}" != "/" ] && VIDEO="${VIDEO}/"

# "Aufnahme startet:"-Meldung verschnern
TITLE=${2%/*}
TITLE=${TITLE#*$VIDEO}
# Sofortaufnahmezeichen (@) entfernen

while [ "${TITLE:0:1}" == "@" ] ; do
  TITLE=${TITLE:1}
done
  
# _ durch Leerzeichen ersetzen
TITLE="${TITLE//_/ }"
# / durch ~ ersetzen
TITLE="${TITLE//\/\//~}"
TITLE="${TITLE//\//~}"
# #3A durch : ersetzen
TITLE="${TITLE//#3A/:}"
# #2E durch . ersetzen
TITLE="${TITLE//#2E/.}"
  
logger -s "$(date +"%F %R") $0 $1 $2" >> ${VIDEO}/vdr.record 2>&1
MESG=""
DO_NOAD=0
case "$1" in
   before)
      DO_NOAD=1
      MESG="Aufnahme: $TITLE"
      if [ "$SHAREMARKS" = "1" ] ; then
         screen -dm sh -c "marks2pts $1 \"$2\""
      fi
      ;;
   after)
      DO_NOAD=1
      MESG="Beendet: $TITLE"
      #screen -dm sh -c "sleep 2; svdrpsend.pl MESG Aufnahme beendet: $2"
      VDR_CUTTING_DIR="${VIDEO}_CUT_/"
      if [ "$USE_CUTTING_DIR" = "1" ] && [ -d "$VDR_CUTTING_DIR" ] ; then
         DS="$(du -s "${2}" | cut -f 1)"
         DF="$(df -k "$VDR_CUTTING_DIR" | tail -n 1 |tr -s " " |cut -f 4 -d " ")"
         if [ $DF -gt $DS ] ; then
            rd="${2%/[0-9]*}"
	    rdb="${rd%/*}/"
	    rdn="${rd##*/}"
	    rdb="${rdb#$VIDEO}"
	    mkdir -p "${VDR_CUTTING_DIR}${rdb}%${rdn}"
            ln -s "${VDR_CUTTING_DIR}${rdb}%${rdn}" ${VIDEO}${rdb}
            logger -s "Setze Schnittverzeichnis <${VDR_CUTTING_DIR}${rdb}%${rdn}>"
         else
            logger -s "Nicht genug Platz auf $VDR_CUTTING_DIR"
         fi
      fi
      ;;
   cut)           
      if [ "$SHAREMARKS" = "1" ] ; then
         screen -dm sh -c "marks2pts -upload $1 \"$2\""
      fi
      ;;
   edited)
      if [ "$SHAREMARKS" = "1" ] ; then
         screen -dm sh -c "marks2pts -upload $1 \"$2\""
      fi
      ;;
   *)
      logger -s "ERROR: unknown state: $1"
      ;;
esac
if [ -x $NOAD ] && [ "$DO_NOAD" = "1" ] && [ "$SET_MARKS" != "Nie" ] ; then
   screen -dm sh -c "$NOAD $1 \"$2\""
else
   screen -dm sh -c "/_config/bin/g2v_maintain_recordings.sh"   
fi
if [ "$MESG" != "" ]; then
   logger -s $MESG
   screen -dm sh -c "svdrpsend.pl MESG $MESG"
fi
screen -dm sh -c "sleep 10; touch $VIDEO/.update"
